# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTTP/Message.pm) perl(HTTP/Request/Common.pm) perl(JSON/RPC/Spec.pm) perl(Module/Build/Tiny.pm) perl(Plack.pm) perl(Plack/Request.pm) perl(Plack/Test.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.0.0
%define module_name JSON-RPC-Lite
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.0
Release: alt1
Summary: Simple Syntax JSON RPC 2.0 Server Implementation
Group: Development/Perl
License: perl
URL: https://github.com/nqounet/p5-json-rpc-lite

Source0: http://cpan.org.ua/authors/id/N/NQ/NQOUNET/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
JSON::RPC::Lite is sinatra-ish style JSON RPC 2.0 Server Implementation.


%prep
%setup -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes examples
%perl_vendor_privlib/J*

%changelog
* Sat Sep 20 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- initial import by package builder

